/* joinstr.c -- Copyright 1989, 1993 Liam R. E. Quin.  All Rights Reserved.
 * This code is NOT in the public domain.
 * See the file COPYRIGHT for full details.
 */

/* $Id: joinstr.c,v 1.1 93/12/08 23:07:03 lee Exp $ */

#include "error.h"
#include "globals.h"
#include "emalloc.h"

API char *
joinstr3(a, b, c)
    char *a, *b, *c;
{
    char *p;
    int i = strlen(a), j = (b[0] != '\0' && b[1] == '\0') ? 1 : strlen(b);

    p = emalloc("joinstr3", i + j + strlen(c) + 1);
    /* ASSERT: p != 0 */
    (void) strcpy(p, a);
    (void) strcpy(&p[i], b);
    (void) strcpy(&p[i + j], c);

    return p;
}

